Shared Private Link Resources - Delete
启动从搜索服务中删除共享专用链接资源。 对于异步删除,返回202(已接受),如果服务存在但未找到共享私有链路,返回204(无内容),如果找不到该服务,返回404(未找到)。 注意:申报404表的行为与ARM指南不符。 客户端应预期未来版本会收到204响应,避免对404响应产生新的依赖。
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Search/searchServices/{searchServiceName}/sharedPrivateLinkResources/{sharedPrivateLinkResourceName}?api-version=2025-05-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
资源组的名称。 此名称不区分大小写。 |
|
search
|
path | True |
string pattern: ^(?=.{2,60}$)[a-z0-9][a-z0-9]+(-[a-z0-9]+)*$ |
与指定资源组关联的 Azure AI 搜索服务的名称。 |
|
shared
|
path | True |
string |
由 Azure AI 搜索服务在指定资源组中管理的共享专用链接资源的名称。 |
|
subscription
|
path | True |
string (uuid) |
目标订阅的 ID。 该值必须是 UUID。 |
|
api-version
|
query | True |
string minLength: 1 |
用于此操作的 API 版本。 |
请求头
| 名称 | 必需 | 类型 | 说明 |
|---|---|---|---|
| x-ms-client-request-id |
string (uuid) |
一个客户端生成的 GUID 值,用于标识此请求。 如果指定,响应信息中将包含此内容作为跟踪请求的一种方式。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 202 Accepted |
已接受资源作。 标头
|
|
| 204 No Content |
没有要为此请求发送的内容,但标头可能很有用。 |
|
| 404 Not Found |
服务器找不到请求的资源。 |
|
| Other Status Codes |
意外错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 流程。
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
SharedPrivateLinkResourceDelete
示例请求
示例响应
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Search/searchServices/mysearchService/sharedPrivateLinkResources/testResource/operationStatuses/159c5e07-c829-4896-8aba-a1d4fcc7c89c?api-version=2025-05-01
Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Search/searchServices/mysearchService/sharedPrivateLinkResources/testResource/operationStatuses/159c5e07-c829-4896-8aba-a1d4fcc7c89c?api-version=2025-05-01
定义
| 名称 | 说明 |
|---|---|
|
Cloud |
包含有关 API 错误的信息。 |
|
Cloud |
描述具有错误代码和消息的特定 API 错误。 |
CloudError
包含有关 API 错误的信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
描述具有错误代码和消息的特定 API 错误。 |
|
| message |
string |
提示出错的错误的简要说明(有关详细信息/调试信息,请参阅“error.message”属性)。 |
CloudErrorBody
描述具有错误代码和消息的特定 API 错误。
| 名称 | 类型 | 说明 |
|---|---|---|
| code |
string |
比 HTTP 状态代码更准确地描述错误条件的错误代码。 可用于以编程方式处理特定错误案例。 |
| details |
包含与此错误相关的嵌套错误。 |
|
| message |
string |
详细说明错误并提供调试信息的消息。 |
| target |
string |
特定错误的目标(例如,错误中属性的名称)。 |